 <!DOCTYPE html>
 <html>
 <head>
     <title></title>
 
<script type="text/javascript">
// 1. Сделать собственные примеры методов применяемых для массивов.

/*2. Создать функцию для нахождения минимального и максимального элемента массива getMinAndMax(array).
     Результат должен выводиться в консоль.*/

    function getMinAndMax(array){
        var Max=-Infinity;
        var Min=+Infinity;
        for(var i=0; i<array.length;i++)
        {
            if(array[i]>Max){Max=array[i]}
            if(array[i]<Min){Min=array[i]}    
        }
        console.log("Task 2. Максимальное значение: "+Max+". Минимальное значение: "+Min);
    }
    var numbersArray =[12,908,15,17,2,99,155,5,169,1200];
    getMinAndMax(numbersArray);



// 3. Определить элементы массива и вывести их значения, индексы которых лежит в указанном пределе. Предел вводит пользователь.
    var array =[12,908,15,17,2,99,155,5,169,1200];
    var a=+prompt("Task 3. Введите с какого индекса вывести значения");
    var b=+prompt("Task 3. Введите по какой индекс вывести значения");
    console.log("Task 3. Значения массива от "+a+" индекса по "+b+" индекс: "+array.slice(a,b));


// 4. Отсортировать массив на 10 чисел в порядке возростания. Значения принимаются от пользователя. Сортировка осушествляется методом sort().
    
    var arr= new Array();
    for (var i = 0; i <10; i++) {
        // arr[i]=+prompt("Введите значение по индексу: "+i); //первый способ
        arr.push(+prompt("Task 4. Введите значение по индексу: "+i)); //второй способ
    }
    console.log("Task 4. Отсортированный массив: "+arr.sort());


// 5. Создать программу, выполняющую вставку элемента в массив после элемента, значение которого укажет пользователь.
    var array5=new Array();
    do 
    array5.push(prompt("Task 5. Какое значение положить в массив?"));
    while(confirm("Task 5. Хотите положить значение в массив?"))
    
    console.log("Task 5. Ваш массив: "+array5);

// 6. Необходимо получить предпоследний элемент из массива month и вывести его на экран. 
//     var month = ["Январь", "Февраль", "Март", "Апрель", "Май", "Июнь", "Июль", "Август", "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"]

    var month = ["Январь", "Февраль", "Март", "Апрель", "Май", "Июнь", "Июль", "Август", "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"]
    document.write("Task 6. Предпоследний элемент массива: "+month.slice(-2,-1)); 

// 7. Создать два произвольных массива: один массив - любимая спортивная команда / модели автомобилей / города, во втором - количество игроков в команде / объем двигателя / количество жителей в городе. Объединить данные из двух массивов и вывести их в одну строку. 

    // с асоциативным массивом почему-то не получилось.
    // var array01 ={team: "Real Madrid", modelAuto: "Range Rover", city: "London"}
    // var array02={gamers:"211", size: "5.0", people: "8.8 млн"}
    // var array7 = array01.concat(array02);
    // console.log(array7.join());


    var array01 =["Любимая спортивная команда", "Модели автомобилей", "Города"];
    var array02=["Количество игроков в команде", "Объем двигателя", "Количество жителей в городе"];
    var array7 = array01.concat(array02);
    console.log(array7.join(", "));
    
      </script>
    
</head>
<body>

</body>
</html>
